Installieren Sie PECL unter Mac OS X 10.6

Lesezeit: 1 Minute

Gibt es eine Möglichkeit, den PECL-Handler von PHP unter Mac OS X 10.6 zu installieren, um ihn mit dem gebündelten PHP zu verwenden?

Benutzer-Avatar
Zahlwann

Besser spät als nie, aber wenn Sie wie ich PHP direkt von php.net installiert haben (anstatt etwas wie Homebrew oder Port zu verwenden, dann können Sie einfach dem folgenden Link folgen, um Pear und PECL zu installieren:

http://akrabat.com/php/setting-up-php-mysql-on-os-x-10-7-lion/

Wir brauchen BIRNE! Aus irgendeinem Grund ist es nicht bereit für Lion eingerichtet, aber die Phar-Installationsdatei ist hier, also müssen wir sie nur ausführen.

cd /usr/lib/php
sudo php install-pear-nozlib.phar

Edit:
/etc/php.ini and find the line: ;
  include_path = ".:/php/includes" 
and change it to:
  include_path = ".:/usr/lib/php/pear"
sudo pear channel-update pear.php.net
sudo pecl channel-update pecl.php.net
sudo pear upgrade-all

Es funktionierte gut für mich.

  • Ich würde sagen, dass die Bearbeitung php.ini ist nicht erforderlich, da default include_path value scheint bereits auf PEAR-Verzeichnisse zu zeigen.

    – Elitalon

    11. September 2012 um 17:29 Uhr

  • Wenn Sie Mavericks haben, folgen Sie bitte dem folgenden Tutorial akrabat.com/computing/setting-up-php-mysql-on-os-x-mavericks

    – abc123

    7. März 2014 um 6:52 Uhr

Versuchen Sie es zu installieren über:

bash <(curl -s http://php-osx.liip.ch/install.sh)

Oder von Hand installieren:

curl -s -o /tmp/packager.tgz http://php-osx.liip.ch/packager/packager.tgz
sudo tar -C /usr/local  -xzf /tmp/packager.tgz

Dann Packer installieren:

sudo /usr/local/packager/packager.py install 5.4-frontenddev

andernfalls aktualisieren Sie es über:

sudo /usr/local/packager/packager.py install tools-frontenddev # Ignore 

1093870cookie-checkInstallieren Sie PECL unter Mac OS X 10.6

This website is using cookies to improve the user-friendliness. You agree by using the website further.

Privacy policy